import java.util.ArrayList;


public class test
{
	//chooses which example to run
	public static int example = 1;

	// You can modify the following lines with your registration information.
	static String username = "John Doe";
	static String company = "My Company";
	static String lic_key = "my license key";

	static String res_path = "../../lib";

	public static void main(String[] args)
	{
		PDF2SVG.Init(username, company, lic_key, res_path);
		if (example == 1)
		{
			// The simplest PDF2SVG program: Pass an explicit command-line string.
			//
			// This example converts 'tiger.pdf' to 'tiger.svg'
			// To convert all PDF documents in 'TestFiles' folder simply delete 'tiger.pdf'
			// from the command string.
			// 
			// For a detailed explanation of all commands, please refer to PDF2SVG SDK User 
			// Manual. Also, PDF2SVG Command-Line application is a great tool to experiment 
			// with the available options.

			//use the default callback
			PDF2SVGCallback cb = new PDF2SVGCallback();
			PDF2SVG.Run("-o ../TestOutput/test1 ../TestFiles/tiger.pdf", cb, null);
		}
		else if (example == 2)
		{
			// An example of how to use PDF2SVG SDK to implement a command-line application
			// for converting PDF documents to SVG.
			String s = "";
			for (int i = 0; i < args.length; i++)
			{
				s += args[i] + " ";
			}

			PDF2SVG.Run(s, new PDF2SVGCallback(), null);
		}
		else if (example == 3)
		{
			// An example of how to dynamically build a command string based on 
			// user settings...
			//
			// Please note that this sample does not cover all possible options offered by 
			// PDF2SVG. For a detailed explanation of all commands, please refer to PDF2SVG 
			// SDK User Manual.
			String output_folder = "../TestOutput/test1";
			String open_password = "secret";
			boolean compress_using_svgz = true;
			boolean embedimages = true;
			boolean generate_xml_masterdoc = false;
			boolean generate_thumbnails = false;
			int thumbsize = 150;
			String filename_prefix = "";
			int filename_digits = 4;

			// Given the above settings build a command string.
			String s = "";

			if (output_folder != "") s += "-o " + output_folder + " ";
			if (open_password != "") s += "-p " + open_password + " ";
			if (compress_using_svgz) s += "--svgz ";
			if (embedimages) s += "--embedimages ";
			if (generate_xml_masterdoc == false) s += "--noxmldoc ";
			if (generate_thumbnails)
			{
				s += "--thumbsize " + thumbsize + " ";
			}
			else
			{
				s += "--nothumbs ";
			}

			if (filename_prefix != "") s += "--prefix " + filename_prefix + " ";
			if (filename_digits > 0) s += "--digits " + filename_digits + " ";

			// specify input PDF files and folders...
			s += "../TestFiles/tiger.pdf ";
			s += "../TestFiles/tai962.pdf ";
			// s += "c:/my_pdf_folder "; etc ...


			//an arraylist to store the saved file path(s)
			ArrayList saved_files = new ArrayList();


			// Execute the command string.
			PDF2SVG.Run(s, new MyCallback(), saved_files);

			//print the saved file(s)
			System.out.println("The Saved Files Are:");
			for (int i = 0; i < saved_files.size(); i++)
			{
				System.out.println(saved_files.get(i));
			}

		}
		System.out.println("Done!!!");


	}


}
//customized callback class
class MyCallback extends PDF2SVGCallback
{
	//OutFilename is called each time a file is saved
	//with the saved file path
	protected void OutFilename(String msg, Object user_data)
	{
		//store each file path in the saved_files arraylist
		if (msg != null && user_data != null)
			((ArrayList)user_data).add(msg);
	}

	//The following functions can also be changed

	//protected void Error(String msg, Object user_data) is called with
	//an error message when an error occurs

	//protected void Msg(String msg, Object user_data) is called with
	//any other messages

	//protected String GetPass(String msg, Object user_data) is called
	//when a password is needed for continued execution

}
